> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List a purchase order note's files

> Returns the files attached to one purchase order note.

Lists the files attached to the note under `data`, with each file's name, type, size and `uuid`. Address the purchase order by its `code`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml GET /purchase_orders/{purchase_order_id}/notes/{purchase_order_note_id}/files
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /purchase_orders/{purchase_order_id}/notes/{purchase_order_note_id}/files:
    get:
      tags:
        - Purchase orders
      summary: List a purchase order note's files
      description: >-
        Lists the files attached to the note under `data`, with each file's
        name, type, size and `uuid`. Address the purchase order by its `code`.
      operationId: purchase_orders_get_purchase_order_note_files
      parameters:
        - name: purchase_order_id
          in: path
          required: true
          description: >-
            The purchase order's `code`. The note calls address a purchase order
            by its code.
          schema:
            type: string
        - name: purchase_order_note_id
          in: path
          required: true
          description: The note's `id`, from the note create or the notes list.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: The most records to return on one page.
          schema:
            type: integer
            example: 20
        - name: cursor
          in: query
          required: false
          description: >-
            The `next_cursor` value from the previous page, to read the next
            one.
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            The field to sort by. Prefix it with `-` for descending order, such
            as `-created_on`.
          schema:
            type: string
            example: '-created_on'
      responses:
        '200':
          description: The note's files.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseOrderNoteFileList'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X GET
            "$EXSITED_BASE_URL/api/v4/purchase_orders/PO-0001/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a/files?limit=20"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN"
        - lang: python
          label: Python
          source: |
            from exsited import build_client

            client = build_client()

            response = client.purchase_orders.get_purchase_order_note_files(
                "PO-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a", {"limit": 20}
            )
            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.purchaseOrders.getPurchaseOrderNoteFiles(
                'PO-0001',
                'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
                {limit: 20},
            );

            console.log(response.data);
        - lang: php
          label: PHP
          source: |
            use Exsited\Client\ClientRegistry;

            $client = ClientRegistry::buildClient();

            $response = $client->purchaseOrders->getPurchaseOrderNoteFiles(
                'PO-0001',
                'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
                ['limit' => 20],
            );
            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import
            com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderNote;

            import java.util.Map;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<PurchaseOrderNote> response =
            client.purchaseOrders().getPurchaseOrderNoteFiles(
                    "PO-0001",
                    "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a",
                    Map.of("limit", 20));
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.PurchaseOrders.GetPurchaseOrderNoteFilesAsync(
                "PO-0001",
                "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a",
                new Dictionary<string, object?> { ["limit"] = 20 });

            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: >
            import 'package:exsited/exsited.dart';


            final client = buildClient();


            final response = await
            client.purchaseOrders.getPurchaseOrderNoteFiles(
              'PO-0001',
              'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
              queryParams: {'limit': 20},
            );

            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.PurchaseOrders().GetPurchaseOrderNoteFiles(context.Background(), \"PO-0001\", \"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a\", map[string]any{\"limit\": 20}, nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  schemas:
    PurchaseOrderNoteFileList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PurchaseOrderNoteData'
        object:
          type: string
        pagination:
          $ref: '#/components/schemas/PurchaseOrderPagination'
        url:
          type: string
    PurchaseOrderNoteData:
      type: object
      properties:
        uuid:
          type: string
        filename:
          type: string
        content_type:
          type: string
        size:
          type: integer
        href:
          type: string
    PurchaseOrderPagination:
      type: object
      properties:
        limit:
          type: integer
          description: The page size the API applied.
        has_more:
          type: boolean
          description: >-
            Whether another page follows. Trust this over `next_cursor`, which
            can be set on the last page.
        next_cursor:
          type: string
          description: Pass as `cursor` to read the next page.
        prev_cursor:
          type: string
          description: The cursor of the previous page.
        links:
          $ref: '#/components/schemas/PurchaseOrderPaginationLinks'
    PurchaseOrderPaginationLinks:
      type: object
      properties:
        next:
          type: string
        prev:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.